wxWidgets: wxActivateEvent Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
wxActivateEvent Class Reference
Class List by Category » Events

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/event.h>`

Inheritance diagram for wxActivateEvent:
[legend]

## Detailed Description

An activate event is sent when a window or application is being activated or deactivated.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxActivateEvent& event)

Event macros:

- EVT_ACTIVATE(func):
  Process a `wxEVT_ACTIVATE` event.
- EVT_ACTIVATE_APP(func):
  Process a `wxEVT_ACTIVATE_APP` event. This event is received by the wxApp-derived instance only.
- EVT_HIBERNATE(func):
  Process a hibernate event, supplying the member function. This event applies to wxApp only, and only on Windows SmartPhone and PocketPC. It is generated when the system is low on memory; the application should free up as much memory as possible, and restore full working state when it receives a `wxEVT_ACTIVATE` or `wxEVT_ACTIVATE_APP` event.
  Note
    Until wxWidgets 3.1.0 activation events could be sent by wxMSW when the window was minimized. This reflected the native MSW behaviour but was often surprising and unexpected, so starting from 3.1.0 such events are not sent any more when the window is in the minimized state.

  ##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  Events and Event Handling, wxApp::IsActive

## Public Types
enum | Reason { Reason_Mouse , Reason_Unknown }
| Specifies the reason for the generation of this event. More...

## Public Member Functions
| wxActivateEvent (wxEventType eventType=wxEVT_NULL, bool active=true, int id=0, Reason ActivationReason=Reason_Unknown)
| Constructor.
bool | GetActive () const
| Returns true if the application or window is being activated, false otherwise.
Reason | GetActivationReason () const
| Allows checking if the window was activated by clicking it with the mouse or in some other way.
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor.
virtual wxEvent * | Clone () const =0
| Returns a copy of the event.
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any.
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`.
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event.
int | GetId () const
| Returns the identifier associated with this event, such as a button command id.
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler.
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise.
long | GetTimestamp () const
| Gets the timestamp for the event.
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false.
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation).
void | SetEventObject (wxObject *object)
| Sets the originating object.
void | SetEventType (wxEventType type)
| Sets the event type.
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id.
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event.
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0.
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns.
int | StopPropagation ()
| Stop the event from propagating to its parent window.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Member Enumeration Documentation

## ◆ Reason

enum wxActivateEvent::Reason

Specifies the reason for the generation of this event.

See GetActivationReason().

Since
  3.0

Enumerator
Reason_Mouse | Window activated by mouse click.
Reason_Unknown | Window was activated with some other method than mouse click.

## Constructor & Destructor Documentation

## ◆ wxActivateEvent()

wxActivateEvent::wxActivateEvent | ( | wxEventType | eventType = wxEVT_NULL,
|  | bool | active = true,
|  | int | id = 0,
|  | Reason | ActivationReason = Reason_Unknown )

Constructor.

## Member Function Documentation

## ◆ GetActivationReason()

Reason wxActivateEvent::GetActivationReason | ( |  | ) | const

Allows checking if the window was activated by clicking it with the mouse or in some other way.

This method is currently only implemented in wxMSW and returns `Reason_Mouse` there if the window was activated by a mouse click and `Reason_Unknown` if it was activated in any other way (e.g. from keyboard or programmatically).

Under all the other platforms, `Reason_Unknown` is always returned.

Since
  3.0

## ◆ GetActive()

bool wxActivateEvent::GetActive | ( |  | ) | const

Returns true if the application or window is being activated, false otherwise.